Docs

Get a PDF invoice for a transaction

Returns a link to an invoice PDF for a transaction.

GET /transactions/{transaction_id}/invoice

Returns a link to an invoice PDF for a transaction.

Invoice PDFs are available for both automatically and manually-collected transactions:

  • The PDF for manually-collected transactions includes payment terms, purchase order number, and notes for your customer. It's a demand for payment from your customer. It's available for transactions that are billed or completed.
  • The PDF for automatically-collected transactions lets your customer know that payment was taken successfully. Customers may require this for for tax-reporting purposes. It's available for transactions that are completed.

Invoice PDFs aren't available for zero-value transactions.

The link returned is not a permanent link. It expires after an hour.

Requires transaction.read permission.

Path parameters

transaction_idstringrequired
Paddle ID of the transaction entity to work with.

Query parameters

dispositionstring
Default: attachment

Determine whether the generated URL should download the PDF as an attachment saved locally, or open it inline in the browser.

Default: attachment.

Values
  • attachment
    Generated URL downloads the PDF as an attachment. Browsers typically automatically save the PDF.
  • inline
    Generated URL displays the PDF inline in the browser. Browsers typically open the PDF in the current tab.

Response (200)

metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
dataobjectrequired
urlstringrequired
URL of the requested resource.
Response
{
"data": {
"url": "https://paddle-production-invoice-service-pdfs.s3.amazonaws.com/invoices/10889/e01ae945-9e6d-4208-a0ba-83b107e06657/invoice_325-10650_DX-ChatApp.pdf"
},
"meta": {
"request_id": "126c131a-258a-482b-b4a9-9ffca5126539"
}
}

Was this page helpful?